net.minecraft.world

## Class SpawnerAnimals

- java.lang.Object
- - net.minecraft.world.SpawnerAnimals

-     public final class SpawnerAnimals
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpawnerAnimals()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `canCreatureTypeSpawnAtLocation(EnumCreatureType par0EnumCreatureType, World par1World, int par2, int par3, int par4)` Returns whether or not the specified creature type can spawn at the specified location.
    `static int` | `findChunksForSpawning(WorldServer par0WorldServer, boolean par1, boolean par2, boolean par3)` adds all chunks within the spawn radius of the players to eligibleChunksForSpawning.
    `static void` | `performWorldGenSpawning(World par0World, BiomeGenBase par1BiomeGenBase, int par2, int par3, int par4, int par5, Random par6Random)` Called during chunk generation to spawn initial creatures.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpawnerAnimals

          public SpawnerAnimals()

  - ### Method Detail

    - #### findChunksForSpawning

          public static final int findChunksForSpawning(WorldServer par0WorldServer,
                                  boolean par1,
                                  boolean par2,
                                  boolean par3)

      adds all chunks within the spawn radius of the players to eligibleChunksForSpawning. pars: the world, hostileCreatures, passiveCreatures. returns number of eligible chunks.

    - #### canCreatureTypeSpawnAtLocation

          public static boolean canCreatureTypeSpawnAtLocation(EnumCreatureType par0EnumCreatureType,
                                               World par1World,
                                               int par2,
                                               int par3,
                                               int par4)

      Returns whether or not the specified creature type can spawn at the specified location.

    - #### performWorldGenSpawning

          public static void performWorldGenSpawning(World par0World,
                                     BiomeGenBase par1BiomeGenBase,
                                     int par2,
                                     int par3,
                                     int par4,
                                     int par5,
                                     Random par6Random)

      Called during chunk generation to spawn initial creatures.